Cypress.Commands.add('addItemToBasketFlow', () => {
    // 1- Seleccionar categoría
    cy.dataCy('catalogCategoryButton').should('exist');
    cy.get('[data-cy="catalogCategoryButton"]:first').click();
    // 2- Seleccionar familia
    cy.dataCy('catalogFamilySelect').should('exist');
    cy.selectOption('[data-cy="catalogFamilySelect"]', 'Anthurium');
    cy.getValue('[data-cy="catalogFamilySelect"]').should('equal', 'Anthurium');
    cy.dataCy('catalogFamilySelect').should('exist');
    // 3- Seleccionar item
    cy.dataCy('catalogCardGridBody').should('exist');
    cy.get('[data-cy="catalogCardGridBody"]:first').click();
    // 4- Añadir item al carrito
    cy.dataCy('addItemQuantityButton').should('exist');
    cy.get('[data-cy="addItemQuantityButton"]:first').click();
    cy.dataCy('catalogAddToBasketButton').should('exist');
    cy.dataCy('catalogAddToBasketButton').click();
    cy.checkNotify('positive', 'Añadido');
});
